package com.zd.chemical.domain.vo;

import com.zd.common.core.web.domain.BaseEntity;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.util.ArrayList;
import java.util.List;

/**
 * 化学品和机柜关联对象 hxp_cabinet_join_cabinet
 *
 * @author liubo
 * @date 2022-06-16
 */
@ApiModel("化学品和机柜关联")
public class HxpCabinetSearch  extends BaseEntity{
    private static final long serialVersionUID = 1L;

    /**
     * 机柜id
     */
    @ApiModelProperty(value = "机柜id")
    private Long id;

    /**
     * 关键字搜索
     */
    @ApiModelProperty(value = "关键字搜索")
    private String searchValue;

    /**
     * 学院id
     */
    @ApiModelProperty(value = "学院id")
    private Long deptId;

    /**
     * 机柜状态（1是启用，0是停用）
     */
    @ApiModelProperty(value = "机柜状态（1是启用，0是停用）")
    private Integer cabinetStatus;

    /**
     * 实验室id
     */
    @ApiModelProperty(value = "实验室id")
    private Long subId;

    /**
     * 化学品分类
     */
    @ApiModelProperty(value = "化学品分类")
    private Integer chemicalClassify;

    /**
     * 状态（1是使用中，0是已归还，2是超时未归还）
     */
    @ApiModelProperty(value = "状态（1是使用中，0是已归还，2是超时未归还）")
    private Integer useStatus;

    /**
     * 锁id
     */
    @ApiModelProperty(value = "锁id")
    private Long lockId;

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getSearchValue() {
        return searchValue;
    }

    public void setSearchValue(String searchValue) {
        this.searchValue = searchValue;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    public Integer getCabinetStatus() {
        return cabinetStatus;
    }

    public void setCabinetStatus(Integer cabinetStatus) {
        this.cabinetStatus = cabinetStatus;
    }

    public Long getSubId() {
        return subId;
    }

    public void setSubId(Long subId) {
        this.subId = subId;
    }

    public Integer getChemicalClassify() {
        return chemicalClassify;
    }

    public void setChemicalClassify(Integer chemicalClassify) {
        this.chemicalClassify = chemicalClassify;
    }

    public Integer getUseStatus() {
        return useStatus;
    }

    public void setUseStatus(Integer useStatus) {
        this.useStatus = useStatus;
    }

    public Long getLockId() {
        return lockId;
    }

    public void setLockId(Long lockId) {
        this.lockId = lockId;
    }
}
